Bug 1028774 - Please rebuild for python3
Please rebuild for python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-logbook (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1010741
  Show dependency treegraph
 
Reported: 2013-11-10 12:49 EST by Pete Travis
Modified: 2013-11-20 23:40 EST (History)
1 user (show)

See Also:
Fixed In Version: python-logbook-0.6.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-19 16:48:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for spec (1.39 KB, patch)
2013-11-10 12:52 EST, Pete Travis
no flags Details | Diff

  None (edit)
Description Pete Travis 2013-11-10 12:49:30 EST
I'm working on a package that has grown a dependency on python-logbook.  I'd like to build this package for python3. In the spec file, I see:

# Re-enable Python 3 support once the following are resolved:
# https://github.com/mitsuhiko/logbook/issues/42
# https://github.com/mitsuhiko/logbook/issues/43

Both of these tickets have been closed and appear to have been resolved.

Please rebuild to provide a python3 subpackage.
Comment 1 Pete Travis 2013-11-10 12:52:12 EST
Created attachment 822118 [details]
patch for spec

fedpkg clone python-logbook; git apply $PATCH # for your convenience :)
Comment 2 Gwyn Ciesla 2013-11-11 09:59:07 EST
Done in rawhide, along with an update to 0.6.0.  Let me know if you need it in other branches.
Comment 3 Pete Travis 2013-11-11 10:01:59 EST
I would like this update in at least F20, and F19 if possible. As long as it doesn't break anything for anyone else, of course.
Comment 4 Gwyn Ciesla 2013-11-11 10:05:25 EST
I'd be amazed if it did, I'll get those out.
Comment 5 Fedora Update System 2013-11-11 10:14:39 EST
python-logbook-0.6.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-logbook-0.6.0-1.fc20
Comment 6 Fedora Update System 2013-11-11 10:14:49 EST
python-logbook-0.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-logbook-0.6.0-1.fc19
Comment 7 Fedora Update System 2013-11-11 19:28:25 EST
Package python-logbook-0.6.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-logbook-0.6.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21075/python-logbook-0.6.0-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-19 16:48:22 EST
python-logbook-0.6.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-11-20 23:40:49 EST
python-logbook-0.6.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.